path: /build/build/wvstreams-net-libs-4.6.1+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - mkdir -p /etc/portage/patches/net-libs/wvstreams/ && cp -v patches/* /etc/portage/patches/net-libs/wvstreams/
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc boost dbus pam" emerge net-libs/wvstreams -pv -t && \
    USE="-doc boost dbus pam" emerge -j ${JOBS} --nodeps net-libs/wvstreams
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/wvstreams && luet-portage --dir /pkgdir/wvstreams
    net-libs/wvstreams && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: wvstreams
    version: 4.6.1+1
    category: net-libs
    use_flags:
    - -doc
    - boost
    - dbus
    - pam
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A network programming library in C++
    uri:
    - https://github.com/apenwarr/wvstreams
    license: GPL-2
    buildtimestamp: 2023-09-16 15:19:44.215494599 +0000 UTC m=+139.617158860
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4'
      DEPEND: '>=dev-libs/openssl-1.1:0= sys-libs/readline:0= sys-libs/zlib dbus?
        ( >=sys-apps/dbus-1.4.20 ) pam? ( virtual/pam ) virtual/pkgconfig doc? ( app-doc/doxygen
        ) boost? ( >=dev-libs/boost-1.34.1:= )'
      IUSE: pam doc +ssl +dbus debug boost
      RDEPEND: '>=dev-libs/openssl-1.1:0= sys-libs/readline:0= sys-libs/zlib dbus?
        ( >=sys-apps/dbus-1.4.20 ) pam? ( virtual/pam )'
      emerge.packages: net-libs/wvstreams
      kit: net-kit
      original.package.name: net-libs/wvstreams
      original.package.slot: "0"
      original.package.version: 4.6.1_p14-r1
    treedir: /build/packages
  package_dir: /pkgdir/wvstreams
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: cfe7e3c461d949fd7d3f46e93af8074cfa402e198319bd483ce1638aef00ce9f
compressiontype: zstd
files:
- etc/uniconf.conf
- usr/bin/uni
- usr/bin/wsd
- usr/bin/wvtestrun
- usr/include/wvstreams/fileutils.h
- usr/include/wvstreams/ftpparse.h
- usr/include/wvstreams/if_arp.h
- usr/include/wvstreams/iwvlistener.h
- usr/include/wvstreams/iwvstream.h
- usr/include/wvstreams/pwvstream.h
- usr/include/wvstreams/strutils.h
- usr/include/wvstreams/uniautogen.h
- usr/include/wvstreams/unibachelorgen.h
- usr/include/wvstreams/unicachegen.h
- usr/include/wvstreams/unicallbackgen.h
- usr/include/wvstreams/uniclientconn.h
- usr/include/wvstreams/uniclientgen.h
- usr/include/wvstreams/uniconf.h
- usr/include/wvstreams/uniconfdaemon.h
- usr/include/wvstreams/uniconfdaemonconn.h
- usr/include/wvstreams/uniconfgen.h
- usr/include/wvstreams/uniconfkey.h
- usr/include/wvstreams/uniconfpair.h
- usr/include/wvstreams/uniconfpamconn.h
- usr/include/wvstreams/uniconfroot.h
- usr/include/wvstreams/uniconftree.h
- usr/include/wvstreams/unidefgen.h
- usr/include/wvstreams/unifastregetgen.h
- usr/include/wvstreams/unifilesystemgen.h
- usr/include/wvstreams/unifiltergen.h
- usr/include/wvstreams/unihashtree.h
- usr/include/wvstreams/uniinigen.h
- usr/include/wvstreams/unilistgen.h
- usr/include/wvstreams/unilistiter.h
- usr/include/wvstreams/unimountgen.h
- usr/include/wvstreams/uninullgen.h
- usr/include/wvstreams/unipermgen.h
- usr/include/wvstreams/unipstoregen.h
- usr/include/wvstreams/unireadonlygen.h
- usr/include/wvstreams/uniregistrygen.h
- usr/include/wvstreams/unireplicategen.h
- usr/include/wvstreams/uniretrygen.h
- usr/include/wvstreams/unisecuregen.h
- usr/include/wvstreams/unislowgen.h
- usr/include/wvstreams/unisubtreegen.h
- usr/include/wvstreams/unitempgen.h
- usr/include/wvstreams/unitransaction.h
- usr/include/wvstreams/unitransactiongen.h
- usr/include/wvstreams/uniunwrapgen.h
- usr/include/wvstreams/uniwatch.h
- usr/include/wvstreams/uniwvconfgen.h
- usr/include/wvstreams/verstring.h
- usr/include/wvstreams/wvaddr.h
- usr/include/wvstreams/wvargs.h
- usr/include/wvstreams/wvassert.h
- usr/include/wvstreams/wvatomicfile.h
- usr/include/wvstreams/wvattrs.h
- usr/include/wvstreams/wvautoconf.h
- usr/include/wvstreams/wvbackslash.h
- usr/include/wvstreams/wvbase64.h
- usr/include/wvstreams/wvbellpull.h
- usr/include/wvstreams/wvblowfish.h
- usr/include/wvstreams/wvbuf.h
- usr/include/wvstreams/wvbufbase.h
- usr/include/wvstreams/wvbufstore.h
- usr/include/wvstreams/wvbufstream.h
- usr/include/wvstreams/wvcallbacklist.h
- usr/include/wvstreams/wvcolorlogconsole.h
- usr/include/wvstreams/wvconf.h
- usr/include/wvstreams/wvconfemu.h
- usr/include/wvstreams/wvcont.h
- usr/include/wvstreams/wvcountermode.h
- usr/include/wvstreams/wvcrash.h
- usr/include/wvstreams/wvcrashlog.h
- usr/include/wvstreams/wvcrl.h
- usr/include/wvstreams/wvcrypto.h
- usr/include/wvstreams/wvdaemon.h
- usr/include/wvstreams/wvdailyevent.h
- usr/include/wvstreams/wvdbusconn.h
- usr/include/wvstreams/wvdbusmsg.h
- usr/include/wvstreams/wvdbusserver.h
- usr/include/wvstreams/wvdelayedcallback.h
- usr/include/wvstreams/wvdiffiehellman.h
- usr/include/wvstreams/wvdigest.h
- usr/include/wvstreams/wvdiriter.h
- usr/include/wvstreams/wvdsa.h
- usr/include/wvstreams/wvencoder.h
- usr/include/wvstreams/wvencoderstream.h
- usr/include/wvstreams/wverror.h
- usr/include/wvstreams/wvfdstream.h
- usr/include/wvstreams/wvfile.h
- usr/include/wvstreams/wvfileutils.h
- usr/include/wvstreams/wvfork.h
- usr/include/wvstreams/wvfunctorencoder.h
- usr/include/wvstreams/wvglob.h
- usr/include/wvstreams/wvglobdiriter.h
- usr/include/wvstreams/wvgzip.h
- usr/include/wvstreams/wvgzipstream.h
- usr/include/wvstreams/wvhash.h
- usr/include/wvstreams/wvhashtable.h
- usr/include/wvstreams/wvhex.h
- usr/include/wvstreams/wvhttppool.h
- usr/include/wvstreams/wvinterface.h
- usr/include/wvstreams/wvipaddrtable.h
- usr/include/wvstreams/wvipaliaser.h
- usr/include/wvstreams/wvipfirewall.h
- usr/include/wvstreams/wvipnetlist.h
- usr/include/wvstreams/wvipraw.h
- usr/include/wvstreams/wviproute.h
- usr/include/wvstreams/wvistreamlist.h
- usr/include/wvstreams/wvlink.h
- usr/include/wvstreams/wvlinkerhack.h
- usr/include/wvstreams/wvlinklist.h
- usr/include/wvstreams/wvlistener.h
- usr/include/wvstreams/wvlockdev.h
- usr/include/wvstreams/wvlockfile.h
- usr/include/wvstreams/wvlog.h
- usr/include/wvstreams/wvlogbuffer.h
- usr/include/wvstreams/wvlogfile.h
- usr/include/wvstreams/wvlogrcv.h
- usr/include/wvstreams/wvlogstream.h
- usr/include/wvstreams/wvloopback.h
- usr/include/wvstreams/wvloopback2.h
- usr/include/wvstreams/wvmagiccircle.h
- usr/include/wvstreams/wvmagicloopback.h
- usr/include/wvstreams/wvmatrix.h
- usr/include/wvstreams/wvmodem.h
- usr/include/wvstreams/wvmoniker.h
- usr/include/wvstreams/wvmonikerregistry.h
- usr/include/wvstreams/wvoakley.h
- usr/include/wvstreams/wvocsp.h
- usr/include/wvstreams/wvpam.h
- usr/include/wvstreams/wvpipe.h
- usr/include/wvstreams/wvprociter.h
- usr/include/wvstreams/wvprotostream.h
- usr/include/wvstreams/wvpty.h
- usr/include/wvstreams/wvpushdir.h
- usr/include/wvstreams/wvqthook.h
- usr/include/wvstreams/wvqtstreamclone.h
- usr/include/wvstreams/wvrateadjust.h
- usr/include/wvstreams/wvregex.h
- usr/include/wvstreams/wvresolver.h
- usr/include/wvstreams/wvrsa.h
- usr/include/wvstreams/wvscatterhash.h
- usr/include/wvstreams/wvserialize.h
- usr/include/wvstreams/wvshmzone.h
- usr/include/wvstreams/wvsocketpair.h
- usr/include/wvstreams/wvsorter.h
- usr/include/wvstreams/wvsslhacks.h
- usr/include/wvstreams/wvsslstream.h
- usr/include/wvstreams/wvstdstring.h
- usr/include/wvstreams/wvstream.h
- usr/include/wvstreams/wvstreamclone.h
- usr/include/wvstreams/wvstreamsdaemon.h
- usr/include/wvstreams/wvstreamsdebugger.h
- usr/include/wvstreams/wvstreamsdebuggerserver.h
- usr/include/wvstreams/wvstring.h
- usr/include/wvstreams/wvstringcache.h
- usr/include/wvstreams/wvstringlist.h
- usr/include/wvstreams/wvstringmask.h
- usr/include/wvstreams/wvstringtable.h
- usr/include/wvstreams/wvstrutils.h
- usr/include/wvstreams/wvsubproc.h
- usr/include/wvstreams/wvsubprocqueue.h
- usr/include/wvstreams/wvsubprocqueuestream.h
- usr/include/wvstreams/wvsyslog.h
- usr/include/wvstreams/wvsystem.h
- usr/include/wvstreams/wvtask.h
- usr/include/wvstreams/wvtclstring.h
- usr/include/wvstreams/wvtcp.h
- usr/include/wvstreams/wvtcplistener.h
- usr/include/wvstreams/wvtest.h
- usr/include/wvstreams/wvtimeoutstream.h
- usr/include/wvstreams/wvtimestream.h
- usr/include/wvstreams/wvtimeutils.h
- usr/include/wvstreams/wvtr1.h
- usr/include/wvstreams/wvtripledes.h
- usr/include/wvstreams/wvtundev.h
- usr/include/wvstreams/wvtypedencoder.h
- usr/include/wvstreams/wvtypetraits.h
- usr/include/wvstreams/wvudp.h
- usr/include/wvstreams/wvuid.h
- usr/include/wvstreams/wvunixdgsocket.h
- usr/include/wvstreams/wvunixlistener.h
- usr/include/wvstreams/wvunixsocket.h
- usr/include/wvstreams/wvurl.h
- usr/include/wvstreams/wvverstring.h
- usr/include/wvstreams/wvwin32-sanitize.h
- usr/include/wvstreams/wvwin32task.h
- usr/include/wvstreams/wvwindebuglog.h
- usr/include/wvstreams/wvwinstreamclone.h
- usr/include/wvstreams/wvwordwrap.h
- usr/include/wvstreams/wvx509.h
- usr/include/wvstreams/wvx509mgr.h
- usr/include/wvstreams/wvxor.h
- usr/include/wvstreams/wvxplc.h
- usr/include/wvstreams/xplc/ICategory.h
- usr/include/wvstreams/xplc/ICategoryIterator.h
- usr/include/wvstreams/xplc/ICategoryManager.h
- usr/include/wvstreams/xplc/IFactory.h
- usr/include/wvstreams/xplc/IModule.h
- usr/include/wvstreams/xplc/IModuleLoader.h
- usr/include/wvstreams/xplc/IModuleManagerFactory.h
- usr/include/wvstreams/xplc/IMoniker.h
- usr/include/wvstreams/xplc/IMonikerService.h
- usr/include/wvstreams/xplc/IObject.h
- usr/include/wvstreams/xplc/IServiceHandler.h
- usr/include/wvstreams/xplc/IServiceManager.h
- usr/include/wvstreams/xplc/IStaticServiceHandler.h
- usr/include/wvstreams/xplc/IWeakRef.h
- usr/include/wvstreams/xplc/core.h
- usr/include/wvstreams/xplc/delete.h
- usr/include/wvstreams/xplc/factory.h
- usr/include/wvstreams/xplc/module.h
- usr/include/wvstreams/xplc/ptr.h
- usr/include/wvstreams/xplc/trace.h
- usr/include/wvstreams/xplc/utils.h
- usr/include/wvstreams/xplc/uuid.h
- usr/include/wvstreams/xplc/uuidops.h
- usr/include/wvstreams/xplc/xplc.h
- usr/lib64/libuniconf.so
- usr/lib64/libuniconf.so.4.6
- usr/lib64/libwvbase.so
- usr/lib64/libwvbase.so.4.6
- usr/lib64/libwvdbus.so
- usr/lib64/libwvdbus.so.4.6
- usr/lib64/libwvstatic.a
- usr/lib64/libwvstreams.so
- usr/lib64/libwvstreams.so.4.6
- usr/lib64/libwvtest.a
- usr/lib64/libwvutils.so
- usr/lib64/libwvutils.so.4.6
- usr/lib64/pkgconfig/libuniconf.pc
- usr/lib64/pkgconfig/libwvbase.pc
- usr/lib64/pkgconfig/libwvdbus.pc
- usr/lib64/pkgconfig/libwvqt.pc
- usr/lib64/pkgconfig/libwvstreams.pc
- usr/lib64/pkgconfig/libwvtest.pc
- usr/lib64/pkgconfig/libwvutils.pc
- usr/lib64/valgrind/wvstreams.supp
- usr/sbin/uniconfd
- usr/share/doc/wvstreams-4.6.1_p14-r1/ChangeLog.bz2
- usr/share/doc/wvstreams-4.6.1_p14-r1/README.TESTS.bz2
- usr/share/doc/wvstreams-4.6.1_p14-r1/README.bz2
- usr/share/man/man8/uni.8.bz2
- usr/share/man/man8/uniconfd.8.bz2
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/BDEPEND
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/BUILD_TIME
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/CATEGORY
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/CBUILD
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/CFLAGS
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/CHOST
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/CONTENTS
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/COUNTER
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/CXXFLAGS
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/DEFINED_PHASES
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/DEPEND
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/DESCRIPTION
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/EAPI
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/FEATURES
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/HOMEPAGE
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/INHERITED
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/IUSE
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/IUSE_EFFECTIVE
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/KEYWORDS
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/LDFLAGS
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/LICENSE
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/NEEDED
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/PF
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/PROVIDES
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/RDEPEND
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/REQUIRES
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/RESTRICT
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/SIZE
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/SLOT
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/USE
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/environment.bz2
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/repository
- var/db/pkg/net-libs/wvstreams-4.6.1_p14-r1/wvstreams-4.6.1_p14-r1.ebuild
- var/lib/uniconf/uniconfd.ini
package_cacheimage: ""
runtime:
  name: wvstreams
  version: 4.6.1+1
  category: net-libs
  use_flags:
  - -doc
  - boost
  - dbus
  - pam
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: readline
    version: '>=0'
    category: sys-libs
  - name: pam
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A network programming library in C++
  uri:
  - https://github.com/apenwarr/wvstreams
  license: GPL-2
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
      ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4'
    DEPEND: '>=dev-libs/openssl-1.1:0= sys-libs/readline:0= sys-libs/zlib dbus? (
      >=sys-apps/dbus-1.4.20 ) pam? ( virtual/pam ) virtual/pkgconfig doc? ( app-doc/doxygen
      ) boost? ( >=dev-libs/boost-1.34.1:= )'
    IUSE: pam doc +ssl +dbus debug boost
    RDEPEND: '>=dev-libs/openssl-1.1:0= sys-libs/readline:0= sys-libs/zlib dbus? (
      >=sys-apps/dbus-1.4.20 ) pam? ( virtual/pam )'
    emerge.packages: net-libs/wvstreams
    kit: net-kit
    original.package.name: net-libs/wvstreams
    original.package.slot: "0"
    original.package.version: 4.6.1_p14-r1
